apiVersion: v1
kind: Template
labels:
  app: lemonldap
metadata:
  annotations:
    iconClass: icon-perl
  name: lemonldap
objects:
- apiVersion: v1
  kind: Route
  metadata:
    name: lemon-${FRONTNAME}-reload
  spec:
    host: reload.${ROOT_DOMAIN}
    to:
      kind: Service
      name: lemon-${FRONTNAME}
    tls:
      insecureEdgeTerminationPolicy: Redirect
      termination: edge
- apiVersion: v1
  kind: Route
  metadata:
    name: lemon-${FRONTNAME}-manager
  spec:
    host: manager.${ROOT_DOMAIN}
    to:
      kind: Service
      name: lemon-${FRONTNAME}
    tls:
      insecureEdgeTerminationPolicy: Redirect
      termination: edge
- apiVersion: v1
  kind: Route
  metadata:
    name: lemon-${FRONTNAME}-auth
  spec:
    host: auth.${ROOT_DOMAIN}
    to:
      kind: Service
      name: lemon-${FRONTNAME}
    tls:
      insecureEdgeTerminationPolicy: Redirect
      termination: edge
- apiVersion: v1
  kind: Route
  metadata:
    name: lemon-${FRONTNAME}-test1
  spec:
    host: test1.${ROOT_DOMAIN}
    to:
      kind: Service
      name: lemon-${FRONTNAME}
    tls:
      insecureEdgeTerminationPolicy: Redirect
      termination: edge
- apiVersion: v1
  kind: Route
  metadata:
    name: lemon-${FRONTNAME}-test2
  spec:
    host: test2.${ROOT_DOMAIN}
    to:
      kind: Service
      name: lemon-${FRONTNAME}
    tls:
      insecureEdgeTerminationPolicy: Redirect
      termination: edge
parameters:
- name: FRONTNAME
  description: The name identifier assigned to objects defined in this template
  displayName: Name
  required: true
  value: demo
- name: ROOT_DOMAIN
  description: Root Domain
  displayName: Root Domain
  required: true
  value: demo.local
